package com.seeyon.cip.spi.user.avoid.thirdavoid.constants;

import com.seeyon.ctp.user.util.CtpUserSpiUtils;

/**
 * 常量及配置信息
 */
public class ThirdavoidSsoAvoidConstants {

    public static final String THIRD_TYPE = "thirdavoid";

    /**
     * ctp-user 的 nacos 中配置项目
     * <pre>
     * 如 nacos 中配置的内容如下， yaml格式
     * seeyon:
     *   thirdavoid:
     *     clientId: xxx
     *     clientSecret: xxx
     *
     * 或 properties 格式
     * seeyon.thirdavoid.clientId=xxx
     * seeyon.thirdavoid.clientSecret=xxx
     *
     * 则获取方法为
     * String clientId = CtpUserSpiUtils.getPropertyByName("seeyon.thirdavoid.clientId");
     * String clientSecret = CtpUserSpiUtils.getPropertyByName("seeyon.thirdavoid.clientSecret");
     * </pre>
     */
    public static String NACOS_CLIENT_ID = CtpUserSpiUtils.getPropertyByName("seeyon.thirdavoid.clientId");
}
